summaryrefslogtreecommitdiffstats
path: root/libraries/cryptopp/cryptopp.SlackBuild
diff options
context:
space:
mode:
author Iskar Enev2010-05-11 22:53:58 +0200
committer David Somero2010-05-11 22:53:58 +0200
commit3ec5dbbd94e5f033eac26db55de546a81715127a (patch)
tree315aca6ce10f101af22bf4479cd28fbdff4fc47a /libraries/cryptopp/cryptopp.SlackBuild
parentee4b5fef3d79cb459a4d668d4c3eb8be6ec1b40a (diff)
downloadslackbuilds-3ec5dbbd94e5f033eac26db55de546a81715127a.tar.gz
libraries/cryptopp: Added to 12.1 repository
Diffstat (limited to 'libraries/cryptopp/cryptopp.SlackBuild')
-rw-r--r--libraries/cryptopp/cryptopp.SlackBuild57
1 files changed, 57 insertions, 0 deletions
diff --git a/libraries/cryptopp/cryptopp.SlackBuild b/libraries/cryptopp/cryptopp.SlackBuild
new file mode 100644
index 0000000000..cde3f3ac3f
--- /dev/null
+++ b/libraries/cryptopp/cryptopp.SlackBuild
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+# Slackware build script for cryptopp
+# Written by Iskar Enev (iskar.enev@gmail.com)
+
+PRGNAM=cryptopp
+VERSION=${VERSION:-5.5.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -a -d $PRGNAM-$VERSION $CWD/${PRGNAM}$(echo $VERSION | tr -d .).zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+make CFLAGS="$SLKCFLAGS" CXXFLAGS="$SLKCFLAGS"
+make install PREFIX=$PKG/usr
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a *.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz